Subject: bug#19230: Fwd: Re: bug#19230: Help! grepV2.21 treats ISO-8859 text files as if they are binary

From: Hans Pelleboer <[email-masked]>
Date: Mon, 01 Dec 2014 20:54:46 +0100

-------- Forwarded Message --------
Subject: 	Re: bug#19230: Help! grepV2.21 treats ISO-8859 text files as 
if they are binary
Date: 	Mon, 01 Dec 2014 20:50:07 +0100
From: 	Hans Pelleboer <[email-masked]>
To: 	Bob Proulx <[email-masked]>

On 12/01/2014 08:45 PM, Bob Proulx wrote:
> Hans Pelleboer wrote:
>> Paul Eggert wrote:
>>> Hans Pelleboer wrote:
>>>> I was wondering what can be done to compile grep in such a way,
>>>> that it processes all text files, no matter what way they are encoded.
>>> You don't need to recompile; you can just use 'grep -a'.
>> I was referring to the default behaviour, as it used to be, without extra
>> flags
> I apologize for having no time to check myself.  What is the behavior
> if you set the locale back to C/POSIX for grep?
>
>    env LC_ALL=C grep someencodedfile
>
> Bob
Then everything is hunky dory as it used to be with V2.20 and before
(since 1986 in my case!).
Hans